> ## Documentation Index
> Fetch the complete documentation index at: https://docs.appcharge.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Store Refresh Popup Design

> Deletes a store refresh popup design.

```bash Delete Store Refresh Popup Design theme={"system"}
curl -X DELETE \
  'https://api.appcharge.com/components/v1/offer-design/store-refresh-popup-design' \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -H 'x-publisher-token: <x-publisher-token>'
```

```json Delete Store Refresh Popup Design theme={"system"}
{
  "id": "68cbf09967ba5ab776c2745e",
  "offerUiType": "PopUp",
  "offerUiSubType": "StoreRefresh",
  "name": "Store Refresh Popup Design",
  "externalId": "store-refresh-popup-design",
  "backgroundImageUrl": "https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/background.png",
  "title": {
    "text": "Welcome back",
    "fontColor": "#FFFFFF",
    "fontSize": 20,
    "fontWeight": "normal"
  }
}
```


## OpenAPI

````yaml openapi-store-refresh-popup-design.json DELETE /components/v1/offer-design/{externalId}
openapi: 3.0.3
info:
  title: Store Refresh Popup Designs API
  version: 1.0.0
servers:
  - url: https://api-sandbox.appcharge.com
security:
  - PublisherTokenAuth: []
tags:
  - name: Offer Designs
paths:
  /components/v1/offer-design/{externalId}:
    parameters:
      - in: path
        name: externalId
        required: true
        schema:
          type: string
        description: Design ID that you defined.
    delete:
      tags:
        - Offer Designs
      description: Deletes a store refresh popup design.
      responses:
        '200':
          description: Store refresh popup design deleted successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StoreRefreshPopupDesignResponse'
        '404':
          description: Offer design not found.
components:
  schemas:
    StoreRefreshPopupDesignResponse:
      title: Store Refresh Popup Design
      type: object
      properties:
        id:
          type: string
          description: Design ID.
        offerUiType:
          type: string
          enum:
            - PopUp
          description: Type of offer design.
        name:
          type: string
          description: Offer design name.
        externalId:
          type: string
          description: Design ID that you defined.
        backgroundImageUrl:
          type: string
          format: url
          description: >-
            Background image URL. For uploaded files, this is the
            Appcharge-hosted CDN URL. For external image URLs, this is the
            original image URL served from the provided URL.
        title:
          $ref: '#/components/schemas/OfferTitle'
        externalBackgroundImageUrl:
          type: string
          format: url
          description: >-
            Original background image URL when the design uses an external image
            URL. This URL is used as provided to serve the image.
        offerUiSubType:
          type: string
          enum:
            - StoreRefresh
          description: >-
            Popup design subtype. Use `StoreRefresh` for store refresh popup
            designs.
    OfferTitle:
      type: object
      properties:
        text:
          type: string
          description: Offer title. Must be a non-empty string.
        fontColor:
          oneOf:
            - type: string
              pattern: ^#[0-9a-fA-F]{6}$
              description: Title color in hex format.
            - type: object
              properties:
                colorOne:
                  type: string
                  pattern: ^#[0-9a-fA-F]{6}$
                  description: Primary color in hex format.
                colorTwo:
                  type: string
                  pattern: ^#[0-9a-fA-F]{6}$
                  description: >-
                    Secondary color in hex format. This value may be empty when
                    no gradient is configured.
                colorThree:
                  type: string
                  pattern: ^#[0-9a-fA-F]{6}$
                  description: Third color in hex format. Returned only when configured.
                gradientDirection:
                  type: string
                  description: Direction of the gradient transition.
                direction:
                  type: string
                  description: >-
                    Direction of the gradient transition. Some responses return
                    this field instead of `gradientDirection`.
              description: Color or gradient details.
          description: >-
            Title font color. Some offer design types return a hex string, while
            others return color details.
        fontSize:
          type: number
          minimum: 8
          maximum: 40
          description: Font size in pixels.
        fontWeight:
          type: string
          enum:
            - regular
            - normal
            - medium
            - bold
            - bolder
          description: Font weight.
      required:
        - text
        - fontColor
        - fontSize
        - fontWeight
  securitySchemes:
    PublisherTokenAuth:
      type: apiKey
      in: header
      name: x-publisher-token
      description: Publisher token, as displayed in the Publisher Dashboard.

````